Summary:     AIM transport for the jabber server
Name:        jabber-aim
Version:     20041010
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://aim-transport.jabberstudio.org/aim-transport-stable-%{version}.tar.gz
Source1:     aim-3.5.1670.tar.bz2
Source2:     jabberd-aim.init
Source3:     aim.xml
URL:         http://aim-transport.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Maqi <maqi@jabberstudio.org>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    jabber >= 1.4.4
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: jabber >= 1.4.4
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the aim transport.


%prep
%setup -q -n aim-transport -a1


%build
export CPPFLAGS="$RPM_OPT_FLAGS -DINCLUDE_LEGACY"
export LDFLAGS="-L/usr/jabber/lib"
export LDADD="-ljabberd"
./configure \
	--enable-shared           \
	--enable-static           \
	--disable-maintainer-mode \
	--with-jabberd=/usr/jabber/include
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
mkdir -p $RPM_BUILD_ROOT/usr/jabber/lib/aim-3.5.1670
install -m 0755 src/*.so $RPM_BUILD_ROOT/usr/jabber/lib
ln -s jabberd $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-aim
install -m 0644 %{SOURCE3} $RPM_BUILD_ROOT/etc/jabber/aim.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/aim.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/aim.xml
install -m 0755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-aim
cp -r -p -d aim-3.5.1670/aim*.exe $RPM_BUILD_ROOT/usr/jabber/lib/aim-3.5.1670
cp -r -p -d aim-3.5.1670/*.ocm $RPM_BUILD_ROOT/usr/jabber/lib/aim-3.5.1670


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/aim.xml
/sbin/chkconfig --add jabberd-aim
/sbin/chkconfig jabberd-aim on
if [ -s /etc/jabber/aim.xml ]; then
  if [ -f /var/lock/subsys/jabberd-aim ]; then
    /etc/rc.d/init.d/jabberd-aim restart
  else
    /etc/rc.d/init.d/jabberd-aim start
  fi
else
  echo "AIM transport installed. Please consult the README for configuration details."
  echo "Don't forget to create a directory named <aim-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-aim off
  /sbin/chkconfig --del jabberd-aim
  if [ -f /var/lock/subsys/jabberd-aim ]; then
    /etc/rc.d/init.d/jabberd-aim stop
  fi
fi


%postun
if [ $1 = 0 ]; then
  echo "AIM transport deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%doc TODO src/NOTES
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*
/usr/jabber/lib/*


%changelog
* Thu Jul 14 2005 peter.pramberger@member.fsf.org
- new version 20041010
- updated for jabber 1.4.4
- removed package devel

* Sun Jun 27 2004 peter.pramberger@member.fsf.org
- new version 20040131

* Fri Nov 21 2003 peter.pramberger@member.fsf.org
- compiled against JabberD 1.4.3

* Fri Jun 27 2003 peter.pramberger@member.fsf.org
- new version 20030314
- compiled for RH73

* Fri Feb 28 2003 peter.pramberger@member.fsf.org
- new version 20030111
- minor bugfixes

* Sat May 18 2002 peter.pramberger@member.fsf.org
- created

